%%%%%%%%%%%%%%%%%%%%%%%
define get_sixte_eventfile_statistic(file,flux){
%%%%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{get_sixte_eventfile_statistic}
%\synopsis{returns a double parameter value from a string / filename}
%\usage{Struct_Type str = get_sixte_eventfile_statistic(string filename, double flux);}
%\seealso{get_param_from_filename}
%!%-

% -*- mode: slang; mode: fold -*-
   variable sr = fits_read_key_struct(file+"[1]", %{{{
			       "EXPOSURE",
			       "NVALID",
			       "NPVALID",
			       "NINVALID",
			       "NPINVALI",
			       "NGRAD0",
			       "NPGRA0",
			       "NGRAD1",
			       "NPGRA1",
			       "NGRAD2",
			       "NPGRA2",
			       "NGRAD3",
			       "NPGRA3",
			       "NGRAD4",
			       "NPGRA4",
			       "NGRAD5",
			       "NPGRA5",
			       "NGRAD6",
			       "NPGRA6",
			       "NGRAD7",
			       "NPGRA7",
			       "NGRAD8",
			       "NPGRA8",
			       "NGRAD9",
			       "NPGRA9",
			       "NGRAD10",
			       "NPGRA10",
			       "NGRAD11",
			       "NPGRA11",
			       "NGRAD12", 
			       "NPGRA12"
				     );   

%}}}
   
   variable str = struct {
      flux           = flux,
      exposure       = sr.exposure,
      nvalid         = sr.nvalid,
      nvalid_piled   = sr.npvalid,
      ninvalid       = sr.ninvalid,
      ninvalid_piled = sr.npinvali,
      nsing          = sr.ngrad0,
      nsing_piled    = sr.npgra0,
      ndoub          = sr.ngrad1+sr.ngrad2+sr.ngrad3+sr.ngrad4,
      ndoub_piled    = sr.npgra1+sr.npgra2+sr.npgra3+sr.npgra4,
      ntrip          = sr.ngrad5+sr.ngrad6+sr.ngrad7+sr.ngrad8,
      ntrip_piled    = sr.npgra5+sr.npgra6+sr.npgra7+sr.npgra8,
      nquad          = sr.ngrad9+sr.ngrad10+sr.ngrad11+sr.ngrad12,
      nquad_piled    = sr.npgra9+sr.npgra10+sr.npgra11+sr.npgra12
   };

   if (qualifier_exists("nphot")){
      str = struct_combine(str, struct{npho_sim=max(fits_read_table(file+"[1]").ph_id)});      
   }
   
   return str;
}
