define simput_athenacrab(flux){   
%!%+
%\function{simput_athenacrab}
%\synopsis{returns command to create a standard Athena Crab Simput File}
%\usage{String_Type cmd = simput_athenacrab(Double_Type flux);}
%\description
%    Flux has to be given in Crab. The naming convention is that the flux
%    (in micro Crab = 1e-6 Crab) is encoded in the filename.
%\seealso{simput_athenacrab_flux_from_filename}
%!%-
   variable srcname=sprintf("athenacrab_flux%07imuCrab.simput", nint(1e6*(flux)));
   srcname = qualifier("dir","") + srcname;
   variable crabnorm=2.0521231034620645e-08; % To get a flux of 9.5ph/kev/cm^2/s at 1keV
   variable simputcom="simputfile simput="+srcname +" RA=0.0 Dec=0.0 Emin=2. Emax=10. plPhoIndex=2.1 NH=0.4 " +sprintf("plFlux=%e", flux*crabnorm) +" clobber=yes";   
   return simputcom;
}
